Count the leads of a selection
curl --request POST \
--url https://app.flextell.ai/api/v1/leads/bulk-count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"lead_ids": [
123
],
"select_all": true,
"filters": {
"pipeline_stage_id": [
123
],
"lead_reference_source_id": [
123
],
"lost_reason_id": [
123
],
"assigned_user_id": [
123
],
"converted": true,
"active": true,
"unassigned": true,
"search": "<string>",
"created_at_from": "2023-11-07T05:31:56Z",
"created_at_to": "2023-11-07T05:31:56Z",
"converted_at_from": "2023-11-07T05:31:56Z",
"converted_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/leads/bulk-count"
payload = {
"lead_ids": [123],
"select_all": True,
"filters": {
"pipeline_stage_id": [123],
"lead_reference_source_id": [123],
"lost_reason_id": [123],
"assigned_user_id": [123],
"converted": True,
"active": True,
"unassigned": True,
"search": "<string>",
"created_at_from": "2023-11-07T05:31:56Z",
"created_at_to": "2023-11-07T05:31:56Z",
"converted_at_from": "2023-11-07T05:31:56Z",
"converted_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
lead_ids: [123],
select_all: true,
filters: {
pipeline_stage_id: [123],
lead_reference_source_id: [123],
lost_reason_id: [123],
assigned_user_id: [123],
converted: true,
active: true,
unassigned: true,
search: '<string>',
created_at_from: '2023-11-07T05:31:56Z',
created_at_to: '2023-11-07T05:31:56Z',
converted_at_from: '2023-11-07T05:31:56Z',
converted_at_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/leads/bulk-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/leads/bulk-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lead_ids' => [
123
],
'select_all' => true,
'filters' => [
'pipeline_stage_id' => [
123
],
'lead_reference_source_id' => [
123
],
'lost_reason_id' => [
123
],
'assigned_user_id' => [
123
],
'converted' => true,
'active' => true,
'unassigned' => true,
'search' => '<string>',
'created_at_from' => '2023-11-07T05:31:56Z',
'created_at_to' => '2023-11-07T05:31:56Z',
'converted_at_from' => '2023-11-07T05:31:56Z',
'converted_at_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/leads/bulk-count"
payload := strings.NewReader("{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/leads/bulk-count")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/leads/bulk-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Lead
Count the leads of a selection
The number of leads a bulk action with the same body would act on, for a confirmation such as “1,238 leads
- will be moved”. With
select_allit equals themeta.totalofGET /leadswith the same filters; withlead_idsit is the number of those leads the caller can see.
POST
/
v1
/
leads
/
bulk-count
Count the leads of a selection
curl --request POST \
--url https://app.flextell.ai/api/v1/leads/bulk-count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"lead_ids": [
123
],
"select_all": true,
"filters": {
"pipeline_stage_id": [
123
],
"lead_reference_source_id": [
123
],
"lost_reason_id": [
123
],
"assigned_user_id": [
123
],
"converted": true,
"active": true,
"unassigned": true,
"search": "<string>",
"created_at_from": "2023-11-07T05:31:56Z",
"created_at_to": "2023-11-07T05:31:56Z",
"converted_at_from": "2023-11-07T05:31:56Z",
"converted_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/leads/bulk-count"
payload = {
"lead_ids": [123],
"select_all": True,
"filters": {
"pipeline_stage_id": [123],
"lead_reference_source_id": [123],
"lost_reason_id": [123],
"assigned_user_id": [123],
"converted": True,
"active": True,
"unassigned": True,
"search": "<string>",
"created_at_from": "2023-11-07T05:31:56Z",
"created_at_to": "2023-11-07T05:31:56Z",
"converted_at_from": "2023-11-07T05:31:56Z",
"converted_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
lead_ids: [123],
select_all: true,
filters: {
pipeline_stage_id: [123],
lead_reference_source_id: [123],
lost_reason_id: [123],
assigned_user_id: [123],
converted: true,
active: true,
unassigned: true,
search: '<string>',
created_at_from: '2023-11-07T05:31:56Z',
created_at_to: '2023-11-07T05:31:56Z',
converted_at_from: '2023-11-07T05:31:56Z',
converted_at_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/leads/bulk-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/leads/bulk-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lead_ids' => [
123
],
'select_all' => true,
'filters' => [
'pipeline_stage_id' => [
123
],
'lead_reference_source_id' => [
123
],
'lost_reason_id' => [
123
],
'assigned_user_id' => [
123
],
'converted' => true,
'active' => true,
'unassigned' => true,
'search' => '<string>',
'created_at_from' => '2023-11-07T05:31:56Z',
'created_at_to' => '2023-11-07T05:31:56Z',
'converted_at_from' => '2023-11-07T05:31:56Z',
'converted_at_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/leads/bulk-count"
payload := strings.NewReader("{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/leads/bulk-count")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/leads/bulk-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lead_ids\": [\n 123\n ],\n \"select_all\": true,\n \"filters\": {\n \"pipeline_stage_id\": [\n 123\n ],\n \"lead_reference_source_id\": [\n 123\n ],\n \"lost_reason_id\": [\n 123\n ],\n \"assigned_user_id\": [\n 123\n ],\n \"converted\": true,\n \"active\": true,\n \"unassigned\": true,\n \"search\": \"<string>\",\n \"created_at_from\": \"2023-11-07T05:31:56Z\",\n \"created_at_to\": \"2023-11-07T05:31:56Z\",\n \"converted_at_from\": \"2023-11-07T05:31:56Z\",\n \"converted_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
Başlıklar
Gövde
application/json